var mediawrapSettings = {

  onLoad: function() {

    this.checkboxMediawrapEnabled = document.getElementById('mediawrapEnabled');
    this.checkboxMediawrapEnabled.checked = mediawrapUtils.getPref('mediawrapEnabled', true);
    
    this.checkboxConvertWindowsMediaAx = document.getElementById('mediawrapConvertWindowsMediaAx');
    this.checkboxConvertWindowsMediaAx.checked = mediawrapUtils.getPref('convertWindowsMediaAx', true);

    this.checkboxConvertRealAx = document.getElementById('mediawrapConvertRealAx');
    this.checkboxConvertRealAx.checked = mediawrapUtils.getPref('convertRealAx', true);

    this.checkboxConvertQuickTimeAx = document.getElementById('mediawrapConvertQuickTimeAx');
    this.checkboxConvertQuickTimeAx.checked = mediawrapUtils.getPref('convertQuickTimeAx', true);

    this.checkboxConvertShockwaveFlashAx = document.getElementById('mediawrapConvertShockwaveFlashAx');
    this.checkboxConvertShockwaveFlashAx.checked = mediawrapUtils.getPref('convertShockwaveFlashAx', true);

    this.checkboxConvertShockwaveDirectorAx = document.getElementById('mediawrapConvertShockwaveDirectorAx');
    this.checkboxConvertShockwaveDirectorAx.checked = mediawrapUtils.getPref('convertShockwaveDirectorAx', true);

    this.checkboxConvertObjectNoClassId = document.getElementById('mediawrapConvertObjectNoClassId');
    this.checkboxConvertObjectNoClassId.checked = mediawrapUtils.getPref('convertObjectNoClassId', true);

    this.checkboxConvertEmbed = document.getElementById('mediawrapConvertEmbed');
    this.checkboxConvertEmbed.checked = mediawrapUtils.getPref('convertEmbed', true);

    this.checkboxConvertBgSound = document.getElementById('mediawrapConvertBgSound');
    this.checkboxConvertBgSound.checked = mediawrapUtils.getPref('convertBgSound', true);

    this.checkboxConvertDynsrcImg = document.getElementById('mediawrapConvertDynsrcImg');
    this.checkboxConvertDynsrcImg.checked = mediawrapUtils.getPref('convertDynsrcImg', true);

    this.checkboxAutoSelectPlayer = document.getElementById('mediawrapAutoSelectPlayer');
    this.checkboxAutoSelectPlayer.checked = mediawrapUtils.getPref('autoSelectPlayer', true);

    this.checkboxAutoStartEnabled = document.getElementById('mediawrapAutoStartEnabled');
    this.checkboxAutoStartEnabled.checked = mediawrapUtils.getPref('autoStartEnabled', true);

    this.checkboxAutoStartBgSound = document.getElementById('mediawrapAutoStartBgSound');
    this.checkboxAutoStartBgSound.checked = this.checkboxAutoStartEnabled.checked ?
      true : mediawrapUtils.getPref('autoStartBgSound', true);
    this.checkboxAutoStartBgSound.disabled = this.checkboxAutoStartEnabled.checked;

    this.checkboxAutoStartLocalLinks = document.getElementById('mediawrapAutoStartLocalLinks');
    this.checkboxAutoStartLocalLinks.checked = this.checkboxAutoStartEnabled.checked ?
      true : mediawrapUtils.getPref('autoStartLocalLinks', true);
    this.checkboxAutoStartLocalLinks.disabled = this.checkboxAutoStartEnabled.checked;

    this.checkboxAutoStartFlash = document.getElementById('mediawrapAutoStartFlash');
    this.checkboxAutoStartFlash.checked = mediawrapUtils.getPref('autoStartFlash', true);

    this.checkboxAutoStartDirector = document.getElementById('mediawrapAutoStartDirector');
    this.checkboxAutoStartDirector.checked = mediawrapUtils.getPref('autoStartDirector', true);

    this.checkboxAlwaysShowWmpControl = document.getElementById('mediawrapAlwaysShowWmpControl');
    this.checkboxAlwaysShowWmpControl.checked = mediawrapUtils.getPref('alwaysShowWmpControl', true);

    this.checkboxAlwaysShowWmpContextMenu = document.getElementById('mediawrapAlwaysShowWmpContextMenu');
    this.checkboxAlwaysShowWmpContextMenu.checked = mediawrapUtils.getPref('alwaysShowWmpContextMenu', true);

    this.checkboxConvertWindowsMediaAx.disabled = this.checkboxConvertRealAx.disabled
      = this.checkboxConvertQuickTimeAx.disabled = this.checkboxConvertShockwaveFlashAx.disabled
      = this.checkboxConvertObjectNoClassId.disabled = this.checkboxConvertEmbed.disabled
      = this.checkboxConvertBgSound.disabled = this.checkboxConvertDynsrcImg.disabled
      = this.checkboxConvertShockwaveDirectorAx.disabled = ! this.checkboxMediawrapEnabled.checked
  },

  // "OK" button was clicked
  onAccept: function() {
    mediawrapUtils.setEnabled(this.checkboxMediawrapEnabled.checked);
    mediawrapUtils.setPref('convertWindowsMediaAx', this.checkboxConvertWindowsMediaAx.checked);
    mediawrapUtils.setPref('convertRealAx', this.checkboxConvertRealAx.checked);
    mediawrapUtils.setPref('convertQuickTimeAx', this.checkboxConvertQuickTimeAx.checked);
    mediawrapUtils.setPref('convertShockwaveFlashAx', this.checkboxConvertShockwaveFlashAx.checked);
    mediawrapUtils.setPref('convertShockwaveDirectorAx', this.checkboxConvertShockwaveDirectorAx.checked);
    mediawrapUtils.setPref('convertObjectNoClassId', this.checkboxConvertObjectNoClassId.checked);
    mediawrapUtils.setPref('convertEmbed', this.checkboxConvertEmbed.checked);
    mediawrapUtils.setPref('convertBgSound', this.checkboxConvertBgSound.checked);
    mediawrapUtils.setPref('convertDynsrcImg', this.checkboxConvertDynsrcImg.checked);
    mediawrapUtils.setPref('autoSelectPlayer', this.checkboxAutoSelectPlayer.checked);
    mediawrapUtils.setPref('autoStartEnabled', this.checkboxAutoStartEnabled.checked);
    mediawrapUtils.setPref('autoStartLocalLinks', this.checkboxAutoStartLocalLinks.checked);
    mediawrapUtils.setPref('autoStartBgSound', this.checkboxAutoStartBgSound.checked);
    mediawrapUtils.setPref('autoStartFlash', this.checkboxAutoStartFlash.checked);
    mediawrapUtils.setPref('autoStartDirector', this.checkboxAutoStartDirector.checked);
    mediawrapUtils.setPref('alwaysShowWmpControl', this.checkboxAlwaysShowWmpControl.checked);
    mediawrapUtils.setPref('alwaysShowWmpContextMenu', this.checkboxAlwaysShowWmpContextMenu.checked);
  }

};